Bug 104555 - neat gave error when adding new device.
neat gave error when adding new device.
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-17 00:29 EDT by Akihiro Yoshino
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-04 06:11:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Akihiro Yoshino 2003-09-17 00:29:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (Windows NT 5.0; U)

Description of problem:
When I launched neat to configure my network device, a divece was shown like;
Inactive eth0 eth0 Ethernet
So, I selected it and clicked "Activate" button,  then got warning saying " Cannot activate network device eth0". Then it  was deleted 
successfully using "delete" button.
Next, tried to add new device using "Add" button and got message "Exception Occured" below:

Please visit http://bugzilla.redhat.com/bugzilla/ !
File a bug against component redhat-config-network. Thank you!

Traceback (innermost last):
 File "/usr/sbin/neat", line 1402, in ?
  gtk.mainloop()
 File "/usr/lib/python1.5/site-packages/gtk.py", line 2676, in mainloop
  _gtk.gtk_main()
 File "/usr/lib/python1.5/siet-packages/libglade.py", line 28, in__call__
  ret = apply(self.func, a)
 File "/usr/sbin/neat", line 473, in on_deviceAddButton_clicked
  interface = NewInterfaceDialog()
 File "/usr/sbin/../share/redhat-cofig-network/netconfpkg/gui/NewInterfaceDialog.py", line 82, in__init__
  iface = iface_creator (self.toplevel, do__save = None, druid = self.druid)
 File "/usr/sbin/../share/redhat-config-network/netconfpkg/gui/EthernetInterface.py", line 101, in__init__
  self.hwDruid = ethernetHardware (self.toplevel)
 File "/usr/sbin../share/redhat-config-network/netfonfpkg/gui/EhternetHardware Druid.py", line 64, in__init__
  self.setup()
 File "/us/rsbin/../share/redhat-config-network/netfonfpkg/gui/EthernetHardware Druid.py", line 118, in setup
  list.append(modinfo[i]["description'])
KeyError: description

And as a result, network was not configured.

Version-Release number of selected component (if applicable):
redhat-config-network-1.0.0-1.src.rpm

How reproducible:
Always

Steps to Reproduce:
1.became root, open xterm and start neat by command line
2.click Add button
3.
    

Actual Results:  Everytime I got message saying "Exception Occured".

Expected Results:  Configure network device and activate it.

Additional info:

Hardware was Dell Precision M60 laptop workstation.
Comment 1 Harald Hoyer 2003-09-17 05:22:04 EDT
Can you please first upgrade to the erratum and retry, if this fixes your problem?
http://rhn.redhat.com/errata/RHBA-2002-267.html

Comment 2 Harald Hoyer 2004-06-04 06:11:33 EDT
Closing due to inactivity. Reopen, if the problem is still existing.

Note You need to log in before you can comment on or make changes to this bug.